using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Pdf;

using Syncfusion.Pdf.DLS;
using Syncfusion.DLS;

using Syncfusion.Pdf.Shared;

namespace Clipping
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }



        private void Form1_Load(object sender, EventArgs e)
        {
			PDFDocument doc = new PDFDocument();
			String str = "HiHaneefHere is the customer reply for this incident.<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<Hi JohnWe are not able to open your sample.The form fields will preserve the font when flattened if the font used in the field was one of the 14 pre-defined PDF fonts. If we are using some other fonts we need to embed them.If this is not the issue please send us the sample so that we can analyse issue further.RegardsSarath<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<RegardsSarathi";
			IPDFFont font = doc.Fonts.Add(FontBaseFamily.CourierBold);
			IPDFGraphicState gs = doc.CreateGraphicState();
			
			IPDFGraphicState labelGs = doc.CreateGraphicState();
			labelGs.ForeColor = new PDFColor(System.Drawing.Color.Red);


			doc.LastPage.Graphics.DrawText(70 , 55 , "SyncFusion Clipping Sample" , font , labelGs);
			SyncFusionClipping(doc , str , font , gs);

			doc.LastPage.Graphics.DrawText(70 , 235 , "Stefano Clipping Sample (this don't work!)" , font , labelGs);
			StefanoClipping(doc , str , font , gs);

			doc.LastPage.Graphics.DrawText(70 , 275 , "Stefano Aspected Clipping Sample (created with DrawText() method) " , font , labelGs);
			AspectedStefanoClipping(doc , str , font , gs);

			doc.Save("Sample.pdf");
			System.Diagnostics.Process.Start("Sample.pdf");

        }

		private void SyncFusionClipping (PDFDocument doc , String str , IPDFFont font , IPDFGraphicState gs)
		{
			Rectangle rect = new Rectangle(70 , 70 , 150 , 150);
			Rectangle Cliprect = new Rectangle(70 , 70 , 250 , 50);

			doc.LastPage.Graphics.DrawRectangle(rect);
			doc.LastPage.Graphics.DrawMultiText(rect.Location , rect.Size , str , font , Cliprect , gs);
		}

		private void StefanoClipping (PDFDocument doc , String str , IPDFFont font , IPDFGraphicState gs)
		{
			Rectangle rect = new Rectangle(70 , 250 , 150 , 12);

			doc.LastPage.Graphics.DrawRectangle(rect);
			doc.LastPage.Graphics.DrawMultiText(rect.Location , rect.Size , str , font , rect , gs);
		}

		private void AspectedStefanoClipping (PDFDocument doc , String str , IPDFFont font , IPDFGraphicState gs)
		{
			Rectangle rect = new Rectangle(70 , 290 , 150 , 12);

			doc.LastPage.Graphics.DrawRectangle(rect);
			doc.LastPage.Graphics.DrawText(rect.Location , str , font , gs , rect);
		}

    }
}